[v2] package/gst1-plugins-good: add shout2 plugin option
diff mbox series

Message ID 20190705215038.12927-1-abloemert@gmail.com
State New
Headers show
Series
  • [v2] package/gst1-plugins-good: add shout2 plugin option
Related show

Commit Message

Arnold Bloemert July 5, 2019, 9:50 p.m. UTC
Signed-off-by: Arnold Bloemert <abloemert@gmail.com>

---
Changes v1 -> v2:
  - add dependency to .mk file and simplify commit message (suggested by Peter Seiderer)

Signed-off-by: Arnold Bloemert <abloemert@gmail.com>
---
 package/gstreamer1/gst1-plugins-good/Config.in         |  6 ++++++
 .../gstreamer1/gst1-plugins-good/gst1-plugins-good.mk  | 10 ++++++++--
 2 files changed, 14 insertions(+), 2 deletions(-)

Comments

Peter Seiderer July 7, 2019, 7:03 p.m. UTC | #1
Hello Arnold,

On Fri,  5 Jul 2019 23:50:38 +0200, Arnold Bloemert <abloemert@gmail.com> wrote:

> Signed-off-by: Arnold Bloemert <abloemert@gmail.com>
>
> ---
> Changes v1 -> v2:
>   - add dependency to .mk file and simplify commit message (suggested by Peter Seiderer)
>
> Signed-off-by: Arnold Bloemert <abloemert@gmail.com>
> ---
>  package/gstreamer1/gst1-plugins-good/Config.in         |  6 ++++++
>  .../gstreamer1/gst1-plugins-good/gst1-plugins-good.mk  | 10 ++++++++--
>  2 files changed, 14 insertions(+), 2 deletions(-)
>
> diff --git a/package/gstreamer1/gst1-plugins-good/Config.in b/package/gstreamer1/gst1-plugins-good/Config.in
> index 433084fd6b..ce85388eb0 100644d3b0edbba14c343b299b96dfdeeebc465a71ba78
> --- a/package/gstreamer1/gst1-plugins-good/Config.in
> +++ b/package/gstreamer1/gst1-plugins-good/Config.in
> @@ -300,6 +300,12 @@ comment "qmlgl (qt5) plugin needs an OpenGL-capable Qt5 backend"
>  	depends on BR2_PACKAGE_QT5_JSCORE_AVAILABLE
>  	depends on !BR2_PACKAGE_QT5_GL_AVAILABLE && !BR2_PACKAGE_QT5_VERSION_LATEST
>
> +config BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_SHOUT2
> +        bool "shout2"
> +        select BR2_PACKAGE_LIBSHOUT
> +        help
> +          Elements to send data to an icecast server using libshout2
> +
>  config BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_V4L2
>  	bool "v4l2"
>  	depends on BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_0 # multi planar api
> diff --git a/package/gstreamer1/gst1-plugins-good/gst1-plugins-good.mk b/package/gstreamer1/gst1-plugins-good/gst1-plugins-good.mk
> index 829d27a2da..3c9f0d5605 100644
> --- a/package/gstreamer1/gst1-plugins-good/gst1-plugins-good.mk
> +++ b/package/gstreamer1/gst1-plugins-good/gst1-plugins-good.mk
> @@ -25,8 +25,7 @@ GST1_PLUGINS_GOOD_CONF_OPTS = \
>  # Options which require currently unpackaged libraries
>  GST1_PLUGINS_GOOD_CONF_OPTS += \
>  	--disable-libdv \
> -	--disable-dv1394 \
> -	--disable-shout2
> +	--disable-dv1394
>
>  GST1_PLUGINS_GOOD_DEPENDENCIES = gstreamer1 gst1-plugins-base
>
> @@ -343,6 +342,13 @@ else
>  GST1_PLUGINS_GOOD_CONF_OPTS += --disable-qt
>  endif
>
> +ifeq ($(BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_SHOUT2),y)
> +GST1_PLUGINS_GOOD_CONF_OPTS += --enable-shout2
> +GST1_PLUGINS_GOOD_DEPENDENCIES += libshout
> +else
> +GST1_PLUGINS_GOOD_CONF_OPTS += --disable-shout2
> +endif
> +
>  ifeq ($(BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_V4L2),y)
>  GST1_PLUGINS_GOOD_CONF_OPTS += --enable-gst_v4l2
>  else


The other gstreamer1 files state for the options (see e.g. [1]):

   # These plugins are listed in the order from ./configure --help

For shout2 this should be after qt (right) and before soup (false), but
taking a look at Config.in/gst1-plugins-good.mk the option order is not
very strict....so I am o.k. with your patch ;-), you can add my

Reviewed-by: Peter Seiderer <ps.report@gmx.net>

Regards,
Peter

[1] https://git.buildroot.net/buildroot/tree/package/gstreamer1/gst1-plugins-base/gst1-plugins-base.mk#n27

Patch
diff mbox series

diff --git a/package/gstreamer1/gst1-plugins-good/Config.in b/package/gstreamer1/gst1-plugins-good/Config.in
index 433084fd6b..ce85388eb0 100644
--- a/package/gstreamer1/gst1-plugins-good/Config.in
+++ b/package/gstreamer1/gst1-plugins-good/Config.in
@@ -300,6 +300,12 @@  comment "qmlgl (qt5) plugin needs an OpenGL-capable Qt5 backend"
 	depends on BR2_PACKAGE_QT5_JSCORE_AVAILABLE
 	depends on !BR2_PACKAGE_QT5_GL_AVAILABLE && !BR2_PACKAGE_QT5_VERSION_LATEST
 
+config BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_SHOUT2
+        bool "shout2"
+        select BR2_PACKAGE_LIBSHOUT
+        help
+          Elements to send data to an icecast server using libshout2
+
 config BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_V4L2
 	bool "v4l2"
 	depends on BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_0 # multi planar api
diff --git a/package/gstreamer1/gst1-plugins-good/gst1-plugins-good.mk b/package/gstreamer1/gst1-plugins-good/gst1-plugins-good.mk
index 829d27a2da..3c9f0d5605 100644
--- a/package/gstreamer1/gst1-plugins-good/gst1-plugins-good.mk
+++ b/package/gstreamer1/gst1-plugins-good/gst1-plugins-good.mk
@@ -25,8 +25,7 @@  GST1_PLUGINS_GOOD_CONF_OPTS = \
 # Options which require currently unpackaged libraries
 GST1_PLUGINS_GOOD_CONF_OPTS += \
 	--disable-libdv \
-	--disable-dv1394 \
-	--disable-shout2
+	--disable-dv1394
 
 GST1_PLUGINS_GOOD_DEPENDENCIES = gstreamer1 gst1-plugins-base
 
@@ -343,6 +342,13 @@  else
 GST1_PLUGINS_GOOD_CONF_OPTS += --disable-qt
 endif
 
+ifeq ($(BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_SHOUT2),y)
+GST1_PLUGINS_GOOD_CONF_OPTS += --enable-shout2
+GST1_PLUGINS_GOOD_DEPENDENCIES += libshout
+else
+GST1_PLUGINS_GOOD_CONF_OPTS += --disable-shout2
+endif
+
 ifeq ($(BR2_PACKAGE_GST1_PLUGINS_GOOD_PLUGIN_V4L2),y)
 GST1_PLUGINS_GOOD_CONF_OPTS += --enable-gst_v4l2
 else